Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2107 closed defect

Cygwin build fails with binutils installed under $PREFIX

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: tool/rsb Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Chris Johns)

If there are tools already installed under the $PREFIX path building a "host == build" compiler fails because the binaries under $PREFIX are MinGW tools which run and are executables how-ever they are not cygwin executables and the "host == build" compiler sees them in configure how-ever fails to detect the default suffix.

The RSB cannot delete the installed tools because other tools may be installed.

There must be a path being added somewhere. Until that is found the work around is to manually make sure no binutils tools are under the $PREFIX.

Change History (5)

comment:1 Changed on 04/02/13 at 21:45:52 by Chris Johns

If there are tools already installed under the $PREFIX path building a "host == build" compiler fails because the binaries under $PREFIX are MinGW tools which run and are executables how-ever they are not cygwin executables and the "host == build" compiler sees them in configure how-ever fails to detect the default suffix.

The RSB cannot delete the installed tools because other tools may be installed.

There must be a path being added somewhere. Until that is found the work around is to manually make sure no binutils tools are under the $PREFIX.

comment:2 Changed on 11/22/14 at 12:50:17 by Gedare Bloom

Component: CodeRSB
Milestone: 4.11
Status: newassigned

comment:3 Changed on 11/23/14 at 02:06:21 by Chris Johns

Description: modified (diff)
Resolution: fixed
Status: assignedclosed

MinGW tools building on Unix hosts has been fixed.

comment:4 Changed on 11/23/14 at 15:50:06 by Gedare Bloom

Version: unknown4.11

Set version based on title name, these seem obviously to only affect 4.11

comment:5 Changed on 10/10/17 at 06:04:12 by Sebastian Huber

Component: CodeRSB
Note: See TracTickets for help on using tickets.